Sets the maximum stock quantity for the specified marketplace offers.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/marketplace/offers/set-max-quantity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"offerKeys": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
],
"maxQuantity": 123
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/offers/set-max-quantity"
payload = {
"offerKeys": ["b45f6432-2462-4c6f-b00f-1d9d01000000"],
"maxQuantity": 123
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({offerKeys: ['b45f6432-2462-4c6f-b00f-1d9d01000000'], maxQuantity: 123})
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/offers/set-max-quantity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Marketplace Offer
Sets the maximum stock quantity for the specified marketplace offers.
Sets the maximum stock quantity for the specified marketplace offers.
POST
/
v2
/
marketplace
/
offers
/
set-max-quantity
Sets the maximum stock quantity for the specified marketplace offers.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
application/json
Request parameters
Sets the maximum stock quantity for the specified marketplace offers. - Request
Response
Successfully updated maximum stock quantity for the specified marketplace offers.
Was this page helpful?
Removes the item assignment from the specified marketplace offers.Sets the minimum stock quantity for the specified marketplace offers.
⌘I